Bug 1798587 (CVE-2020-2574)

Summary: CVE-2020-2574 mysql: C API unspecified vulnerability (CPU Jan 2020)
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: databases-maint, dbecker, dciabrin, hhorak, jjanco, jjoyce, jorton, jschluet, jstanek, lhh, ljavorsk, lpeer, mbayer, mburns, mkocka, mmuzila, mschorm, sclewis, slinaber, SpikeFedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mysql 5.6.47, mysql 5.7.29, mysql 8.0.19, mariadb-connector-c 3.1.7, mariadb 5.5.67, mariadb 10.4.12, mariadb 10.3.22, mariadb 10.2.31, mariadb 10.1.44 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-19 15:17:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1796896, 1796897, 1798588, 1798589, 1798590, 1798591, 1821939, 1821940, 1821941, 1821942, 1840664, 1874032, 1874033, 1874034, 1880317, 1894118, 1899026, 1899027, 1899028, 1899029, 1899065, 1899066, 1899067, 1899068    
Bug Blocks: 1796903    

Description Dhananjay Arunesh 2020-02-05 15:45:58 UTC
A vulnerability was found in the MySQL Client product of Oracle MySQL (component: C API). Supported versions that are affected are 5.6.46 and prior, 5.7.28 and prior and 8.0.18 and prior. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise MySQL Client. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Client.

Reference:
https://www.oracle.com/security-alerts/cpujan2020.html

Comment 1 Dhananjay Arunesh 2020-02-05 15:46:53 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1798590]


Created mysql:5.6/community-mysql tracking bugs for this issue:

Affects: fedora-30 [bug 1798588]


Created mysql:5.7/community-mysql tracking bugs for this issue:

Affects: fedora-30 [bug 1798589]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1798591]

Comment 2 msiddiqu 2020-02-10 14:50:46 UTC
External References:

https://www.oracle.com/security-alerts/cpujan2020.html

Comment 6 errata-xmlrpc 2020-08-19 14:09:01 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:3518 https://access.redhat.com/errata/RHSA-2020:3518

Comment 7 Product Security DevOps Team 2020-08-19 15:17:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2574

Comment 12 errata-xmlrpc 2020-09-14 12:56:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3732 https://access.redhat.com/errata/RHSA-2020:3732

Comment 14 errata-xmlrpc 2020-09-15 16:19:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3755 https://access.redhat.com/errata/RHSA-2020:3755

Comment 16 errata-xmlrpc 2020-09-15 18:28:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3757 https://access.redhat.com/errata/RHSA-2020:3757

Comment 19 errata-xmlrpc 2020-09-29 20:41:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4026 https://access.redhat.com/errata/RHSA-2020:4026

Comment 23 errata-xmlrpc 2020-10-05 15:15:37 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:4174 https://access.redhat.com/errata/RHSA-2020:4174

Comment 24 errata-xmlrpc 2020-11-30 13:45:08 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:5246 https://access.redhat.com/errata/RHSA-2020:5246

Comment 25 errata-xmlrpc 2020-12-15 17:09:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:5500 https://access.redhat.com/errata/RHSA-2020:5500

Comment 26 errata-xmlrpc 2020-12-15 17:11:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:5503 https://access.redhat.com/errata/RHSA-2020:5503

Comment 27 errata-xmlrpc 2020-12-22 09:01:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:5654 https://access.redhat.com/errata/RHSA-2020:5654

Comment 28 errata-xmlrpc 2020-12-22 09:07:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:5655 https://access.redhat.com/errata/RHSA-2020:5655

Comment 29 errata-xmlrpc 2020-12-22 09:15:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:5660 https://access.redhat.com/errata/RHSA-2020:5660

Comment 30 errata-xmlrpc 2020-12-22 09:24:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5663 https://access.redhat.com/errata/RHSA-2020:5663

Comment 31 errata-xmlrpc 2020-12-22 09:26:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:5665 https://access.redhat.com/errata/RHSA-2020:5665

Comment 32 errata-xmlrpc 2020-12-22 09:28:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5662 https://access.redhat.com/errata/RHSA-2020:5662